﻿# Code Factory Eloquence and Vocalizer Add-on for NVDA
Code Factory is committed to productivity application for the Blind and Low vision and in line of the commitment, we are proud to present Code Factory Eloquence and Vocalizer add-on for NVDA. 

As the name suggest, it is a bundle of 2 very popular Text-to-speech applications that is Vocalizer Expressive and ETI Eloquence from Nuance. 
 
# How to get the Code Factory add-on for NVDA 

One can visit Code Factory Website app store page 
http://codefactoryglobal.com/app-store/  
to get the add-on.  Download the latest version of the add-on.
 
The Code Factory add-on is also listed on NVDA website at 
http://addons.nvda-project.org/index.en.html 
 
# Installation
  - Download the add-on installer file from Code Factory website or from the NVDA project page. 
  - Make sure the latest version of NVDA is installed. You may check that by going to NVDA context menu (NVDA Key + N), select Help then Check for Update option. 
  - Start NVDA and execute the add-on installer file. 
  - Follow the on-screen instruction to continue and complete the installation
  - After restarting NVDA, you need to register your trial or permanent license before starting to use the Code Factory TTS. 
  - To register fully functional 7 Day trial, launch either Vocalizer or Eloquence UI from NVDA Context menu’s Code Factory options, a prompt will appear asking you to select an option. Select Try button. This will start your 7 day trial and will open the TTS settings window. 
  - To register a purchased license, launch either Vocalizer or Eloquence UI from NVDA Context menu’s Code Factory options, a prompt will appear asking you to select an option. Select Enter key button. In the resulting window, tab to the edit box and enter your key and press the activate button.
  - To purchase a license, launch either Vocalizer or Eloquence UI from NVDA Context menu’s Code Factory options, a prompt will appear asking you to select an option. Select Buy online button. Complete the purchase in the resulting browser window. After purchasing the license, follow the above registration step. 

# Configuring Code Factory TTS for NVDA
Eloquence comes bundled with all voice data however for Vocalizer, one must first install at least one voice to be used with Vocalizer. Launch the Vocalizer UI and select a language and voice of your choice, use the listen button to hear the sample text in the selected voice or use the install button to start installing of the selected voice.  A voice quality selection dialog appears, select among the Premium or Premium high quality and hit enter. Wait for the voice data to be downloaded and installed on the computer. 

After the voice installation, from the NVDA Context menu > General Preferences > Synthesizer dialog select either Code Factory Eloquence or Code Factory Vocalizer. Alternatively, one can use NVDA Key + Ctrl + S to bring the NVDA Synthesizer dialog.
To select Eloquence or Vocalizer language and voice, use the NVDA Context Menu > General Preference > Voice settings dialog. Alternatively, use the NVDA Key + Ctrl + V to launch NVDA voice dialog. 

# Uninstallation 
To uninstall Code Factory Add-on for NVDA, use the NVDA Add-on manager from the NVDA context menu > Tools options. 

Please note, before uninstalling the add-on, remember to deactivate the license from your computer so that you can activate it on other computer. 

To uninstall Vocalizer voices, use the Vocalizer user interface from NVDA Context Menu’s Code Factory option, select the voice you wish to remove and then select Uninstall button. 

# About Code Factory Add-on for NVDA License 

One serial key gives you the license to be used on 3 machines simultaneously. It is important to note that when changing computer, one must deactivate the license from old computer so that it can be activated on other system.  To deactivate the license, open Vocalizer or Eloquence from the NVDA Context Menu’s Code Factory option and navigate to the About page. Use the deactivate button and wait for the confirmation message. It is recommended to have some other synthesizer selected in NVDA Synthesizer dialog so that there is no speech loss after the license deactivation. 

# Working with the portable version of NVDA 

The add-on is compatible with NVDA portable version. One can create a portable version of NVDA by using the option from NVDA context Menu > Tools and by running the portable version install the add-on. Similar to running NVDA from computer, the portable version also requires user to first activate the license (Trial or purchased) and then install at least one Vocalizer voice. 
It is important to note that the voice data is stored on the pen drive on which the portable version of NVDA is created however the license is tied to the computer where the NVDA portable version is registered. 
If you plan to use the portable version of NVDA on various machines, you must deactivate the license when leaving the machine.  Consider the following illustration for greater clarity:
John creates a portable version of NVDA and then install the add-on, Vocalizer voices and also activate the license on MachineA. John takes the Pen drive to MachineB and starts NVDA. NVDA will start with eSpeak so John is required to activate the license on MachineB once again. However, he is not required to install the voices again as all the voices are installed on the pen drive. To avoid license limit for activation of 3 machines, John should deactivate the license before unplugging the pen drive and leaving the machine. 

# Eloquence and Vocalizer User Interface 

Code Factory Eloquence and Vocalizer add-on for NVDA is fully compatible with NVDA and all NVDA settings option can be used to configure the voice properties. Use the NVDA voice dialog to configure various options. 

In addition, both Eloquence and Vocalizer has their own user interface to provide additional configuration options. Use the NVDA Context menu > Code Factory, to open either Eloquence or Vocalizer UI for additional options. The options are as follows:
  1. Voice Page (Only available with Vocalizer) - All languages and their voices that are offered with Vocalizer are listed in the page. Select a voice and use the Listen button to listen to sample text in the selected voice or use the install button to download and install the voice. Any time you wish to uninstall a voice, select the voice in the list and use the Uninstall button to remove it. Please note, the install button is disabled when the selected voice is already installed and the uninstall button is disabled if the selected voice is not installed. 
  2.	Settings Page
    1. Emoji / Emoticons check box – to enable or disable support for Emoticons
    2. Process punctuation – to enable processing of punctuation by Code Factory TTS. This option will only work when the NVDA punctuation option is set to all in NVDA.
    3. Punctuation Combo – Use this option to set the punctuation level
    4. Use Number Processing check box – To enable / disable number processing by Code Factory TTS. 
    5. Number Processing combo – Select an option for number announcement. 
    6. Intonation Pauses (Only available in Eloquence) – To enable / disable intonation pauses 
    7. Force Pitch Settings – To enable / disable TTS pitch over NVDA Pitch option. 
    8. Pitch Combo – Select a value for the pitch. 
    9. Force Speech Rate – To enable / disable TTS Speech rate over NVDA Speech rate. 
    10. Speech Rate combo – Select a value for speech rate. 
    11. Force Volume – To enable / disable TTS volume over NVDA volume. 
    12. Volume Combo – Select a value for Volume in percentage over the maximum volume. 
    13. Enable User Dictionary – To enable / disable TTS User dictionary. 
    14. Words… button – Use the option to add or edit or remove dictionary entries. 
    15. Import button – use the option to import user dictionary. It supports Code Factory Dictionary format that are also used on Android version of Eloquence and Vocalizer (.CFD, .DCT), JAWS dictionary (.JDF) and plain text (.TXT).
    16. Export button – use the option to save the dictionary to be shared with friends or on other computer / android devices. 
    17. Voice Profile (Available in Eloquence only) – Use the option to select Eloquence voice profiles. 
    18. Language Detection (Only available with Vocalizer) – Use the option to enable language detection. Please note, you must have the language voice installed to let this feature work. 
    19. Restore Defaults – Use the option to set all settings to their factory defaults. 

# Working with Dictionary 

Similar to SAPi version of Eloquence, the Code Factory Add-on for NVDA also provide  the dictionary functionality. To manage dictionary entries, use the NVDA context menu > Code Factory option to launch the UI and navigate to Settings page. The words… button provide the option to manage dictionary entries. One can create simple word to word replacement and can also use * (asterisk) wild card to control pronunciation of patterns in word. For instance, *ing – can be used to change the pronunciation of ing at the end of any word or Des* - can be used to change the pronunciation of des at the beginning of any word or *for* can be used to change  the pronunciation of “for” in the middle of any word. Please note, when using wild cards, spaces are not allowed. 

# FAQ 

  1. What is NVDA Add-on?

     NVDA add-on is also an application that extends the functionality of NVDA. There are many add-on available for NVDA and can be checked from NVDA Context menu > Tools > Manage add-ons. 

  2. What is Code Factory Add-on for NVDA?

     It is the bundle of Nuance Eloquence and Vocalizer TTS application that can only be used with NVDA. 

  3. What is the difference between Eloquence and Vocalizer Add-on for NVDA and SAPi Version of Eloquence for Windows from Code Factory?

     At first, the Add-on is a bundle of Nuance Eloquence and Vocalizer where as the SAPi version of Eloquence is separate product. The main difference is, the add-on can only be used with NVDA where as the SAPi version can be used with any screen reader or with any application that uses the SAPi TTS voices.  

  4. What is the Price for the Code Factory Add-on?

     The add-on is of EUR 59 and the price may change depending on the currency conversion rates.  

  5. Where can I get technical help on Code Factory Add-on for NVDA?

     Please contact Code Factory Via help desk at http://www.codefactory.cat/helpdesk/  

  6. Can I use Code Factory Add-on with NVDA portable version?

     Yes, Code Factory Add-on can be used with the portable version of NVDA. Keep in mind that you would need to activate the license on the computer you wish to use the Portable version of NVDA and you must deactivate your license when leaving the system. This is very important if you wish to use the license on public system.  

  7. On how many machines I can register my Code Factory Add-on for NVDA license?

     Similar to SAPi version of Eloquence, the NVDA add-on license can also be activated on 3 machines.  

  8. What voice qualities are offered with Vocalizer? 

     In Vocalizer premium and Premium high quality are available to be used.  

  9. What languages and voices are supported?

     With Eloquence, there are 10 languages supported: US English, UK English, Castilian Spanish, Mexican Spanish, German, Finnish, French, Canadian French, Italian and Brazilian Portuguese and with Vocalizer, Australian English, Iris English, Indian English, UK English, US English, South African English, Arabic, Argentina Spanish, Basque, Belgian Dutch, Brazilian Portuguese, Bulgarian, Canadian French, Cantonese, Castilian Spanish, Catalan, Colombian Spanish, Czech, Danish, Dutch, Finnish, French, Galician, German, Greek, Hebrew, Hindi, Hungarian, Indonesian, Italian, Japanese, Korean, Mandarin, Mandarin Taiwanese, Mexican Spanish, Norwegian, Polish, Portuguese, Romanian, Russian, Slovak, Swedish, Thai, Turkish and Valancian languages with at least one voice is supported.   

  10. What if I by mistake uninstall NVDA or the Add-on without deactivating the license? 

     Don’t worry, as long as you use the same computer the Computer ID will not change. This way, you can install them again and first should activate the license and then properly deactivate the license to free up your one key to be used on other computer.  

  11. Does it work on both 32-bit and 64-bit versions of Windows?

     Yes, both 32-bit and 64-bit versions are supported and will be installed automatically depending on your OS. 

  12. Is there a free trial of the software?

     Yes. When opening the software for the first time, click on the “Trial” button to receive your free 7 day trial license. 

  13. How long is the trial period?

     7 days. 

  14. My trial has expired but I still need more time to evaluate the product. Can I extend or reset the trial?

     No, the trial is associated with your PC and it is not possible to extend or reset a trial license on a PC once it has expired. You can however trial the software on a different PC. 

  15. Are there any differences between the trial and full version?

     No, the functionality is the same in the trial and full version. 

  16. How can I purchase the software?

     Please download and install Ferran and select the “Buy now” option inside the app to purchase your license. You can use either credit card or PayPal to purchase, using the Avangate payment gateway. After payment has been accepted, your activation key will be sent by email to the address that you provided in the purchase process. 

  17. I purchased the software but now I want a refund. How do I get a refund?

     Unfortunately it is not possible to get a refund. For this reason, we offer a full-featured trial, so that you can fully test the software before purchase and decide whether or not it meets your needs. 

  18. How does the licensing work?

     The activation key which you will receive by email after purchasing your license will allow you to activate the software on up to three of your personal computers simultaneously. The email also contains the instructions explaining how to activate for the first time. Keep it safe since you will need it if you need to activate in the future on a different computer. Your license status will be checked automatically at regular intervals, so be sure to connect your PC to the Internet at least once a month. You can move your licenses between different computers by clicking on the “Deactivate” button inside the “About” tab. Follow the process through to the end to receive your confirmation that the deactivation was successful. You can then activate again on a different computer. 

  19. Will the license expire?

     No, the license is permanent, although there will be regular automatic checks of the license, so make sure to connect to the Internet at least once a month. 

  202. Do I need an Internet connection?

     Yes, you need an Internet connection to start your trial period and to activate for the first time. In addition, you’ll need to connect to the Internet every now and again (at least once a month) in order to allow the software to perform its automatic license check. 

  21. Will new versions of the application work with my current license?

     Minor updates will be supported for free by the current license. 

  22. I lost the email that contains my activation key that was sent to me when I bought the product. How can I retrieve it?

     Your license was purchased using the Avangate payment gateway, which keeps track of all your purchases made via the gateway. To retrieve your activation key, go to https://secure.avangate.com/myaccount/ and login to myAccount using either the email address you used to make the purchase or the Order ID. Once you enter into your account, click on the “My Products” page to recover the activation keys for all your purchases. 

  23. I own two PCs. Can I use the product on both of them at the same time, without needing to purchase another license?

     Yes, you can activate your license on up to three of your personal computers using the activation key which was sent to you when purchasing the software. 

  24. My friend likes the product and wants to use the product on his PC. Can I use one of my activations to activate the product on his PC, so he can use it?

     No, the license is individual and it is not permitted to use your activation key to activate the software on other people’s computers. 

  25. I have some friends who also want to buy the product. Can we get a discount if we purchase the product together?

     Yes. On the purchase page, click on the “Volume discount prices” link just below the product name. You will see that there is a 5 Euro discount per license if purchasing between 3 and 9 licenses, and a 10 Euro per license discount if purchasing 10 or more licenses (or the equivalent in your currency of purchase). If purchasing multiple licenses, you will receive multiple activation keys by email, so the person receiving the email will have to pass the activation keys to each person who has purchased the license. 

  26. Is my license transferable to another person?

     No, the license is individual and cannot be transferred to another person. 

  27. I have a valid license, but when I started my PC today, the screen reader kept saying “Please register this product”. What is the problem?

     If you do not connect your PC to the internet for more than a month, then the regular license activation check will not be able to be done and the license will expire. If this occurs, connect your computer to the Internet, open the application and follow the steps to re-activate your license. 

  28. I’m selling my PC and buying a new one. Will I need to buy a new license for the new PC?

     No. All you need to do is deactivate your license on your old computer (in About > Deactivate) and once you receive your confirmation message, the license will be deactivated and you can then reactivate it on your new computer. 

  29. My hard drive crashed and needed to be reformatted. Will I lose my license?

     No, as long as you re-install the same licensed operating system as before. All you need to do is reinstall the software and register it again and the previous license will be recovered. 

  30. My PC was stolen. Will I lose my license?

     Since you could not deactivate the license on the stolen PC, one of your three licenses will still be associated with your old PC. However, you can still use one of the two remaining licenses to activate the product on your new PC. In case of problems, please contact Code Factory’s customer support by opening a ticket. 

  31. I’m going to upgrade/format the hard drive, or change the operating system of my PC. Do I need to do anything before making this change?

     Yes. Before making any major change to your PC (e.g. replacing/formatting the hard drive, upgrading the operating system, changing the processor), you should deactivate your license. After making the change to your computer, re-install and activate the software using the normal procedure. 

  32. I’m going to the public library today to spend a few hours working on a public PC. Can I use one of my activations so I can use the app on the library PC?

     Yes. You’ll first have to install the Add-on along with NVDA on the public PC (for example via the download web page, or by copying the installation file to a pen drive and installing it on the public PC) or you can use the NVDA Portable version. Once installed, you’ll be able to use one of the three activations associated with your activation key to temporarily activate the license on the public PC. WARNING: it is very important to remember to deactivate the license when you are finished working on the public PC, since otherwise one of your three activations will remain associated with the public PC and you will not be able to use it. 

  33. Is the User Dictionary compatible with your Android versions of ETI-Eloquence and Vocalizer?

     Yes, the User Dictionary in our Windows products is compatible with the one in our Android products and can be interchanged. 

  34. I have some additional support questions. How can I get support?

     Please open a ticket at our help desk: http://www.codefactory.cat/helpdesk/. 

