##
## Voices for NVDA
## Copyright (c) 2015 by Code Factory, S.L. All rights reserved.
## Eloquence and Vocalizer Expressive are registered trademarks
## of Nuance Communications, Inc.
##


import globalPluginHandler
import gui
import wx
import os
import os.path

import addonHandler


addonHandler.initTranslation()



root = os.path.dirname(os.path.dirname(os.path.realpath(__file__)))

eloui = os.path.normpath(os.path.join(root,"File","EloquenceNVDAUI.exe"))
vocui = os.path.normpath(os.path.join(root,"File","VocalizerNVDAUI.exe"))




class GlobalPlugin(globalPluginHandler.GlobalPlugin):
    def prefEloquence(self,arg):
        os.startfile(eloui)
    def prefVocalizer(self,arg):
        os.startfile(vocui)
    def __init__(self):
        super(GlobalPlugin,self).__init__()
        systray = gui.mainFrame.sysTrayIcon
        self.menu = wx.Menu()
        systray.Bind(wx.EVT_MENU,
                     self.prefEloquence,
                     self.menu.Append(wx.ID_ANY,
                                      ##Translators: context menu entry for Eloquence UI
                                      _("Code Factory &Eloquence"),
                                      ## Translators: help for context menu entry for Eloquence UI
                                      _("Code Factory Eloquence")))
        systray.Bind(wx.EVT_MENU,
                     self.prefVocalizer,
                     self.menu.Append(wx.ID_ANY,
                                      ##Translators: context menu entry for Vocalizer UI
                                      _("Code Factory &Vocalizer"),
                                      ##Translators: help for context menu entry for Vocalizer UI
                                      _("Code Factory Vocalizer")))
        ## Translators: The menu item in the NVDA Context Menu
        systray.menu.InsertMenu(2,wx.ID_ANY,  _("C&ode Factory"), self.menu)
