##
## Voices for NVDA
## Copyright (c) 2015 by Code Factory, S.L. All rights reserved.
## Eloquence and Vocalizer Expressive are registered trademarks
## of Nuance Communications, Inc.
##

from synthDriverHandler import SynthDriver
import _codefactorytts as tts

import os

import addonHandler


addonHandler.initTranslation()


root = os.path.dirname(os.path.dirname(os.path.realpath(__file__)))

vocdll = os.path.normpath(os.path.join(root,"File","VocalizerNVDA.DLL"))
vocexe = os.path.normpath(os.path.join(root,"File","VocalizerNVDAUI.exe"))

class SynthDriver(tts.genericSynthDriver):
    name = "vocalizer"
    description = "Code Factory Vocalizer"
    dllname_ =  vocdll
    exename_ = vocexe

    supportedSettings=(
	SynthDriver.VoiceSetting(),
	SynthDriver.RateSetting(),
	SynthDriver.PitchSetting(),
	SynthDriver.VolumeSetting(),
    )
    
